/**
* @license
* Copyright (C) 2018 "IoT.bzh"
* Author Sebastien Douheret <sebastien@iot.bzh>
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import { Injectable, SecurityContext, isDevMode } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import { XDSAgentService } from '../services/xdsagent.service';

export interface AglTopology {
  name: string;
  pid: number;
  isClient: boolean;
  isServer: boolean;
  ws_clients: string[];
  ws_servers: string[];
  apis: any;
}

@Injectable()
export class SupervisionService {

  private curServerID;

  constructor(private xdsSvr: XDSAgentService) {
    /*
    this.xdsSvr.XdsConfig$.subscribe(cfg => {
      if (!cfg || cfg.servers.length < 1) {
        return;
      }
    });
    */
  }

  getTopo(): Observable<AglTopology[]> {
    return this.xdsSvr.getTopoSupervisor();
  }

  startTrace(cfg: any): Observable<any> {
    return this.xdsSvr.startTraceSupervisor(cfg);
  }

  stopTrace(cfg: any): Observable<any> {
    return this.xdsSvr.stopTraceSupervisor(cfg);
  }

}
